#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:           faenza-icon-theme
Version:	0.7
Release:	2.5
Summary:	Faenza icon theme
Group:		System/GUI/GNOME
License:	GPL
Url:		http://tiheum.deviantart.com/art/Faenza-Icons-173323228
Source:		faenza-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
BuildRequires:	fdupes
%description
The faenza icon theme for GNOME.

# faenza-dark
%package dark
Summary:	Faenza-Dark icon theme
Group:		System/GUI/GNOME
Requires:	%{name}
BuildArch:	noarch
%description 	dark
The faenza-dark icon theme for GNOME, requires faenza icon theme.

# faenza-mint
%package mint
Summary:	Faenza-Mint icon theme
Group:		System/GUI/GNOME
Requires:	%{name}
BuildArch:	noarch
%description	mint
The faenza-mint icon theme for gnome, requires faenza icon theme.
If you use dark panel, please install also faenza-dark.

%prep
%setup -q -n faenza-%{version}
tar xvfz Faenza.tar.gz
tar xvfz Faenza-Dark.tar.gz
tar xvjf faenza-mint.tar.bz2
# set default distributor logo
./set-distributor.sh opensuse

%build
# dummy entrance

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/Faenza \
	$RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Dark \
	$RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Mint
cp -a Faenza-Dark $RPM_BUILD_ROOT%{_datadir}/icons
cp -a Faenza-Mint $RPM_BUILD_ROOT%{_datadir}/icons
cp -a Faenza $RPM_BUILD_ROOT%{_datadir}/icons
%fdupes %{buildroot}%{_datadir}/icons/Faenza
%fdupes %{buildroot}%{_datadir}/icons/Faenza-Dark
%fdupes %{buildroot}%{_datadir}/icons/Faenza-Mint

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%dir %{_datadir}/icons/Faenza
%{_datadir}/icons/Faenza/*

%files	dark
%defattr(-,root,root)
%dir %{_datadir}/icons/Faenza-Dark
%{_datadir}/icons/Faenza-Dark/*

%files	mint
%defattr(-,root,root)
%dir %{_datadir}/icons/Faenza-Mint
%{_datadir}/icons/Faenza-Mint/*

%changelog
* Fri Oct  1 2010 nmo.marques@gmail.com
- Initial packaging including: Faenza, Faenza-Dark and Faenza-Mint (Faenza in green).
